import { Store } from '@ngrx/store';
import { Actions, ofType } from '@ngrx/effects'
import { Injectable } from '@angular/core';
import { Resolve, ActivatedRoute, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';

import { PostsService } from './posts.service';
import * as fromApp from '../../../store/app.reducer';
import * as RecipieActions from '../store/posts.action'
import { take } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class PostResolverService implements Resolve<any>{

  constructor(
    private postsService: PostsService,
    private actions$: Actions,
    private store: Store<fromApp.AppState>) { }

  resolve(route: ActivatedRouteSnapshot,  state: RouterStateSnapshot){
    // this.postsService.getAllPosts().subscribe();
    this.store.dispatch(new RecipieActions.GetPost());
    return this.actions$.pipe(
      ofType(RecipieActions.SET_POST),
      take(1)
    )
  }
}
