import { Injectable } from '@angular/core';
import { ApiBaseService } from '../../../core/services/api-base.service';

import { tap } from 'rxjs/operators'

import { Store } from '@ngrx/store';
import * as postReducer from '../store/posts.reducer';
import { Posts } from '../../../shared/models/posts.model'
import * as Postactions from '../store/posts.action';

@Injectable({
  providedIn: 'root'
})
export class PostsService {

  private readonly url: string = 'posts';
  constructor(
    private http: ApiBaseService,
    private store: Store<postReducer.State>
  ) { }

  getAllPosts(){
    return this.http.get<Array<Posts>>(this.url).pipe(
      tap(data => {
        this.store.dispatch(
          new Postactions.SetPost(data)
        )
      })
    )
  }
}
