import { Action } from '@ngrx/store';
import { Posts } from '../../../shared/models/posts.model';

export const GET_POST = '[Post] Get Post';
export const SELECT_POST = '[Post] Select Post';
export const SET_POST = '[Post] Set Post';

export class GetPost implements Action{
  readonly type = GET_POST;

}

export class SelectPost implements Action{
  readonly type = SELECT_POST;

  constructor(public id: number){}
}

export class SetPost implements Action{
  readonly type = SET_POST;
  constructor(public payload: Array<Posts>){}
}

export type PostActions =  | GetPost | SelectPost | SetPost;
