import { Injectable } from '@angular/core'
import { Effect, Actions, ofType } from '@ngrx/effects';
import { map, switchMap, tap } from 'rxjs/operators';

import * as PostActions  from '../../posts/store/posts.action'
import { ApiBaseService } from '../../../core/services/api-base.service';
import { Posts } from 'src/app/shared/models/posts.model';

@Injectable()
export class PostEffects {

  private readonly url: string = 'posts';
  constructor(
    private actions$: Actions,
    private apiService: ApiBaseService
  ){}

  @Effect()
  fetchPost = this.actions$.pipe(
    ofType(PostActions.GET_POST),
    switchMap(() => {
      return this.apiService.get<Array<Posts>>(this.url)
    }),
    map(posts => {
      return new PostActions.SetPost(posts)
    })
  )

}
