import { Component, OnInit, Input, OnChanges } from '@angular/core';
import { Posts } from 'src/app/shared/models/posts.model';
import * as fromApp from '../../../../store/app.reducer';
import * as PostActions from '../../store/posts.action';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-post-list-item',
  templateUrl: './post-list-item.component.html',
  styleUrls: ['./post-list-item.component.scss']
})
export class PostListItemComponent implements OnInit, OnChanges {

  @Input() post: Posts;

  constructor(
    private store: Store<fromApp.AppState>
  ) { }

  ngOnChanges(): void{
    // console.log("Post ---", this.post);
  }

  ngOnInit(): void {
  }

  selectItem(id: number){
    this.store.dispatch(new PostActions.SelectPost(id))
  }

}
