import { Component, OnInit } from '@angular/core';
import { PostsService } from '../../services/posts.service';
import { Posts } from 'src/app/shared/models/posts.model';
import { Store } from '@ngrx/store'

import * as fromApp from '../../../../store/app.reducer'

@Component({
  selector: 'app-post-list',
  templateUrl: './post-list.component.html',
  styleUrls: ['./post-list.component.scss']
})
export class PostListComponent implements OnInit {
  posts: Array<Posts>;
  constructor(
    private postsService: PostsService,
    private store: Store<fromApp.AppState>
    ) { }

  ngOnInit(): void {
    this.store.select('post').subscribe(data => {
      console.log(data);
      this.posts = [...data.posts]
    })

    // this.postsService.getAllPosts().subscribe(
    //   data => {
    //     this.posts = [...data]
    //   }
    // );
  }

}
