import { Action } from '@ngrx/store';
import { Posts } from '../../../shared/models/posts.model';

export const GET_POST = '[Post] Get Post';
export const SELECT_POST = '[Post] Select Post';

export class GetPost implements Action{
  readonly type = GET_POST;

  constructor(public payload: Array<Posts>){}
}

export class SelectPost{
  readonly type = SELECT_POST;

  constructor(public id: number){}
}

export type PostActions =  | GetPost | SelectPost;
