import { Posts } from '../../../shared/models/posts.model';
import * as PostAction from './posts.action';
import { PostsService } from '../services/posts.service';

export interface State{
  posts: Array<Posts>,
  selectedIndex: number,
  selectedPost: Posts
}

const initialState: State = {
  posts: [],
  selectedIndex: -1,
  selectedPost: null
}

export function postReducer(
  state = initialState,
  action: PostAction.PostActions
){

  switch(action.type){
    case PostAction.GET_POST:
      return{
        ...state,
        posts: [...action.payload],
      }
    case PostAction.SELECT_POST:
      const post = state.posts.filter(el => el.id == action.id)
      return{
        ...state,
        posts:[...state.posts],
        selectedIndex: post[0].id,
        selectedPost: post[0]
      }
    default:
      return state;
  }
}
